This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 11406 - problem playing mp3 with an 8-bit soundcard
problem playing mp3 with an 8-bit soundcard
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: esound (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-14 09:58 EDT by Alain Wenmaekers
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-17 19:09:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alain Wenmaekers 2000-05-14 09:58:56 EDT
The mpg123 bundled with Redhat 6.1 & 6.2 doesn't work with a Soundblaster
2.0 8-bit soundcard.

After starting MPG123 it says:
unsupported sound format: 33
Audio device open for 44.1Khz, stereo, 16bit failed
Trying 44.1Khz, 8bit stereo.

And the sound then plays at half the speed it normally would. Forcing it to
8-bit mode doesn't work.

I downloaded the MPG123 source TAR, I recompiled it and replaced the
"mpg123" binary file, and now it works..The binary file that I compiled is
about 50kb bigger than the one bundled with RH6.x
Comment 1 Cristian Gafton 2000-05-22 11:46:59 EDT
assign to notting
Comment 2 Bill Nottingham 2000-06-10 14:15:43 EDT
This is a problem with esound.
Comment 3 Elliot Lee 2000-07-17 18:28:59 EDT
From reading the bug description it would appear that esd is not setting the
correct sampling rate on the sound device.

However, the code exists to set & check the sampling rate, and I cannot see any
problem with it at all. It is likely that this is a kernel bug, therefore.
Comment 4 Alan Cox 2000-07-17 19:09:22 EDT
I can only duplicate this problem with esd, and nobody else has ever seen
it otherwise. In the absence of any traces Im reassigning it back to Elliot

Elliot. I need exact syscall traces of the incorrect ioctl return. The 8bit
SB only supports 22KHz. Mpg123 without esd sees the fail correctly. Given
that and the fact this kernel code area has zero bugs against it in about
3 years Im dubious its the kernel, very dubious.
Comment 5 Elliot Lee 2001-01-22 19:19:25 EST
old bug plonk

Note You need to log in before you can comment on or make changes to this bug.